¿Por qué no está trabajando el depurador del código VS en Python? -- package-management campo con python campo con python3 campo con numpy camp askubuntu Relacionados El problema

Why isn't VS Code debugger working on python?


2
vote

problema

Español

Cada vez que intento importar NOMPY, el depurador de código VS no funcionará, dando la salida

archivo "/usr/lib/python3/dist-packages/numpy/core/init.py", line 16, in & lt; Módulo y GT ;; desde . Importar multiarray ImportError: no se puede importar el nombre 'MultiarRay' de 'numpy.core' (/usr/lib/python3/dist-packages/numpy/core/.py)

El código funciona bien si lo ejecuto en el terminal, también lo hace el depurador del código VS si no importa NOMBRES. Intenté un insatisfecho y reinstalación de Nombre y nada cambió.

Yo uso Ubuntu 18.04 LTS, Código Visual Studio 1.39.0, Python 3.7.4, NOMPY 1.7.5.

Original en ingles

Everytime I try to import numpy, the VS Code debugger won't work, giving the output

File "/usr/lib/python3/dist-packages/numpy/core/init.py", line 16, in < module>; from . import multiarray ImportError: cannot import name 'multiarray' from 'numpy.core' (/usr/lib/python3/dist-packages/numpy/core/init.py)

The code works fine if I run it on terminal, also does the vs code debugger if I don't import numpy. I tried uninsatalling and reinstalling numpy and nothing changed.

I use Ubuntu 18.04 LTS, Visual Studio Code 1.39.0, Python 3.7.4, Numpy 1.7.5.

           

Lista de respuestas


Relacionados problema

1  Problema con Python [duplicado]  ( Problem with python ) 
Esta pregunta ya tiene respuestas aquí : ImportError: No se llamó PKG_Resources ...

2  ¿Qué es una infraestructura apropiada para el aprendizaje profundo? [cerrado]  ( What is an appropriate infrastructure for deep learning ) 
cerrado . Esta pregunta debe ser más enfocado . Actualmente no está aceptando respuestas. ...

1  ¿Cómo acceder a un directorio "Python3.6 / Site-paquetes"?  ( How to access python3 6 site packages directory ) 
Entonces, ahora estoy tratando de importar TFleArn en un script de Python, pero eso devuelve el error AttributeError: type object 'numpy.ndarray' has no at...

4  Instale NOMPY para Python3.4.0 en Ubuntu 14.04.01 LTS  ( Install numpy for python3 4 0 on ubuntu 14 04 01 lts ) 
python3.4.0 Viene por defecto en Ubuntu 14.04 .01 lts. Podemos usarlo escribiendo en la terminal `Python3. Quiero usar NOMPY para Python3.4.0. Yo ejecuto ...

0  ERROR FATAL: NOMPY / ArrayObject.H: No hay tal archivo o directorio  ( Fatal error numpy arrayobject h no such file or directory ) 
¿Puedes por favor ayuda con esto? mona@pascal:~/computer_vision/tf-faster-rcnn/lib$ sudo pip2 install numpy The directory '/home/mona/.cache/pip/http' or i...

0  NVIDIA / DIGITS ERROR DE TIEMPO DE EJECUCIÓN?  ( Nvidia digits run time error ) 
He instalado dígitos en Ubuntu 16.04 con respecto a los nvidia / dígitos. Cuando ejecuto ./digits-devserver La salida se convierte en: RUNTINEError: Módu...

1  Estoy usando Ubuntu14.04. He instalado adormecido en Python3, pero no está en Python2.7  ( I am using ubuntu14 04 i have installed numpy in python3 but it is not in pyth ) 
He instalado Tanto Python3-NOMPY, así como Python-adormy de la App Store. Pero entonces, adorable solo funciona en Python3. Quiero que funcione en Python2.7 t...

10  Ningún módulo llamado 'adormecido'  ( No module named numpy ) 
En realidad, estoy cambiando de Windows a Linux. Usando Pycharm en Windows Tengo una secuencia de comandos de Python 3 que requiere que se ejecute NOMPY y MAT...

1  ¿Cómo eliminar este error al instalar NOMPY EN UBUNTU?  ( How to remove this error while installing numpy on ubuntu ) 
Estoy obteniendo esta excepción al intentar instalar NOMPYPY. He intentado juicio directamente llamando PIP (Comando: PIP Instale NOMPY) y también a través de...

22  Cómo actualizar a los últimos adormecidos y escape en Ubuntu 14.04LTS  ( How to update to the latest numpy and scipy on ubuntu 14 04lts ) 
en mi ubuntu 14.04lts, para Python3, tengo >>> import numpy >>> import scipy >>> numpy.__version__ '1.8.2' >>> scipy.__version__ '0.13.3' Quiero ...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos